export function getUnitTypes() {
    let ret = []
    for (let data of GameInfo.Units.$data) {
        ret.push(data.UnitType);
    }
    return ret
}

export function buildUnit(unitType, location) {
    const pid = GameContext.localPlayerID;
    const player = Players.get(pid)
    const unitHash = player.Units?.getBuildUnit(unitType)
    if (unitHash) {
        const result = Units.create(pid, { Type: unitHash, Location: location })
        if (result.Success) {
            return result.ID
        }
        return -1;
    }
    return -2;
}

export function addGold(amount) {
    const player = Players.get(GameContext.localPlayerID);
    player.Treasury.changeGoldBalance(amount);
}

export function addInfluence(amount) {
    const player = Players.get(GameContext.localPlayerID);
    player.DiplomacyTreasury?.changeDiplomacyBalance(amount);
}

export function addScience(amount) {
    Players.grantYield(GameContext.localPlayerID, YieldTypes.YIELD_SCIENCE, amount);
}

export function restoreMovementForUnits() {
    const player = Players.get(GameContext.localPlayerID);
    for (let unit of player.Units.getUnits()) {
        Units.restoreMovement(unit.id);
    }
}

export function healUnits() {
    const player = Players.get(GameContext.localPlayerID);
    for (let unit of player.Units.getUnits()) {
        Units.setDamage(unit.id, 0);
    }
}
